#include "KUserInput.h"

void KUserInput::reset()
{
	reinforcement[0]=reinforcement[1]=0;
	commands[0]=commands[1]=NULL_MOVE;
}

void KUserInput::reset(int pnum)
{
	reinforcement[pnum]=0;
	commands[pnum]=NULL_MOVE;
}

void KUserInput::reinforce(int pnum, double value)
{
	reinforcement[pnum] += value;
}

void KUserInput::give_command(int pnum, MOVE_ID move)
{
	commands[pnum] = move;
}

